stan-0.2.0.0: Haskell STatic ANalyser

Copyright | (c) 2020 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Safe Haskell | None
Language | Haskell2010

Stan.Browse

Description

Contains implementation of a function that opens a given file in a browser.

Synopsis

- openBrowser :: FilePath -> IO ()

# Documentation

openBrowser :: FilePath -> IO () #

Open a given file in a browser. The function has the following algorithm:

- Check the `BROWSER` environment variable
- If it's not set, try to guess browser depending on OS
- If unsuccsessful, print a message